Subject: [tsvwg] MulTFRC (draft-welzl-multfrc-00.txt)

From: Michael Welzl <[email-masked]>
Date: Wed, 01 Jul 2009 10:16:57 +0200

Hi,

In a recent email exchange, I mentioned that we designed
a congestion control mechanism which we call "MulTFRC",
and which we'd like to ask this group to adopt.
Tom answered that this seems to be quite in line with
the group's charter.

Since the group does not meet in Stockholm, it was
suggested that we ask for a presentation slot in
tsvwg or tsvarea, and I just did (for tsvwg).

I wanted to give people on the lists an update:
when I first announced it, we only had a paper, not
a draft. Now we have both; we also have an ns-2
implementation and real-life code. It's all available
from this page:
http://www.welzl.at/research/projects/multfrc/index.html

The draft is:
draft-welzl-multfrc-00.txt
http://www.ietf.org/internet-drafts/draft-welzl-multfrc-00.txt

Discussion should take place in DCCP, I think.

Cheers,
Michael

On Tue, 2009-06-02 at 22:42 +0300, Pasi Sarolahti wrote:
> Hi,
> 
> On Jun 1, 2009, at 19:14, [email-masked] wrote:
> 
> >> Even though we won't be meeting in Stockholm, if you think you can  
> >> get a
> >> draft in time we can explore getting some time for you to present at
> >> tsvarea or tsvwg.  Pasi, do you agree?  Especially since you'll be in
> >> Stockholm and I won't :-).
> >
> > We could definitely have a draft in time - this would be
> > a draft of only our mechanism, not a CCID, following the
> > approach of the TFRC spec, because this is an easier
> > first step in any case. Turning this into a CCID description
> > in case people don't want a standalone MulTFRC draft
> > shouldn't be a problem.
> >
> > So, I would greatly appreciate getting some time in
> > tsvarea or tsvwg!
> 
> I think it would be fine to discuss this in one of the above groups,  
> but the chairs of the groups would need to be consulted for a  
> presentation slot.
> 
> Are there plans to have an iccrg session in Stockholm? That wouldn't  
> be bad place, either, to present MulTFRC for the first time. Or if  
> none of the above works, I think it would also be possible to arrange  
> a kind of unofficial Bar-DCCP meeting to discuss this and possible  
> other new topics, even though we didn't ask to schedule an official  
> DCCP meeting this time.
> 
> In any case, I'd also like to encourage preparing a draft by the  
> Stockholm meeting.
> 
> - Pasi
>